Get v1user wallet addresses - Terminal 3 Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \
--url https://staging.terminal3.io/v1/user/{user_id}/wallet_addresses \
--header 'x-api-token: <x-api-token>'
Python
import requests
url = "https://staging.terminal3.io/v1/user/{user_id}/wallet_addresses"
headers = {"x-api-token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-api-token': '<x-api-token>'}};
fetch('https://staging.terminal3.io/v1/user/{user_id}/wallet_addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Success
- 400: Bad Request
- 401: Unauthorized
- 403: Forbidden
- 422: Unprocessable Entity
Sample JSON Responses
Success Response
{
"data": [
{
"wallet_address": "<string>",
"primary": true
}
]
}
Error Response
{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}
Headers
| Header | Type | Required |
|---|---|---|
| x-api-token | string | required |
| x-api-subclient-id | string |
Path Parameter
| Parameter | Type | Required | Description |
|---|---|---|---|
| user_id | number | required | Required range: x > 0 |
Response Format
- 200: application/json